### Type parameters

- #### T: Model

### Hierarchy

- View<T>
  - NativeView
    - WidgetView

## Index

### Constructors

- constructor

### Properties

- $el
- _domEvents
- attributes
- cid
- className
- collection
- el
- id
- model
- tagName

### Methods

- $
- _ensureElement
- _removeElement
- _setAttributes
- _setElement
- bind
- delegate
- delegateEvents
- events
- initialize
- listenTo
- listenToOnce
- make
- off
- on
- once
- remove
- render
- setElement
- stopListening
- trigger
- unbind
- undelegate
- undelegateEvents
- extend

## Constructors

### constructor

- new NativeView(options?: ViewOptions<T>): NativeView

- Inherited from View.__constructor

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:340

  #### Parameters

  - ##### Optional options: ViewOptions<T>

  #### Returns NativeView

## Properties

### $el

$el: JQuery

Inherited from View.$el

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:363

### Private _domEvents

_domEvents: IDOMEvent[]

- Defined in nativeview.ts:168

### attributes

attributes: any

Inherited from View.attributes

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:365

### cid

cid: string

Inherited from View.cid

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:358

### className

className: string

Inherited from View.className

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:359

### collection

collection: Collection<T>

Inherited from View.collection

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:354

### el

el: any

Inherited from View.el

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:362

### id

id: string

Inherited from View.id

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:357

### model

model: T

Inherited from View.model

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:353

### tagName

tagName: string

Inherited from View.tagName

- Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:360

## Methods

### $

- $(selector: string): JQuery
- $(selector: any): JQuery

- Inherited from View.$

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:352

  #### Parameters

  - ##### selector: string

  #### Returns JQuery

- Inherited from View.$

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:366

  #### Parameters

  - ##### selector: any

  #### Returns JQuery

### _ensureElement

- _ensureElement(): void

- Inherited from View._ensureElement

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:375

  #### Returns void

### _removeElement

- _removeElement(): void

- - Defined in nativeview.ts:62

  #### Returns void

### _setAttributes

- _setAttributes(attrs: any): void

- - Defined in nativeview.ts:76

  #### Parameters

  - ##### attrs: any

  #### Returns void

### _setElement

- _setElement(element: HTMLElement): void

- - Defined in nativeview.ts:70

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### bind

- bind(eventName: string, callback: Function, context?: any): any

- Inherited from Events.bind

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:86

  #### Parameters

  - ##### eventName: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### delegate

- delegate(eventName: any, selector: any, listener: any): any

- Overwrites View.delegate

  - Defined in nativeview.ts:96

  Make an event delegation handler for the given `eventName` and `selector` and attach it to `this.el`. If selector is empty, the listener will be bound to `this.el`. If not, a new handler that will recursively traverse up the event target's DOM hierarchy looking for a node that matches the selector. If one is found, the event's `delegateTarget` property is set to it and the return the result of calling bound `listener` with the parameters given to the handler.

  This does not properly handle selectors for things like focus and blur (see https://github.com/jquery/jquery/blob/7d21f02b9ec9f655583e898350badf89165ed4d5/src/event.js#L442 for some similar exceptional cases).

  #### Parameters

  - ##### eventName: any

  - ##### selector: any

  - ##### listener: any

  #### Returns any

### delegateEvents

- delegateEvents(events?: EventsHash): any

- Inherited from View.delegateEvents

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:370

  #### Parameters

  - ##### Optional events: EventsHash

  #### Returns any

### events

- events(): EventsHash

- Inherited from View.events

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:350

  Events hash or a method returning the events hash that maps events/selectors to methods on your View. For assigning events as object hash, do it like this: this.events = { "event:selector": callback, ... }; That works only if you set it in the constructor or the initialize method.

  #### Returns EventsHash

### initialize

- initialize(options?: ViewOptions<T>): void

- Inherited from View.initialize

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:343

  #### Parameters

  - ##### Optional options: ViewOptions<T>

  #### Returns void

### listenTo

- listenTo(object: any, events: string, callback: Function): any

- Inherited from Events.listenTo

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:90

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### listenToOnce

- listenToOnce(object: any, events: string, callback: Function): any

- Inherited from Events.listenToOnce

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:91

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### make

- make(tagName: any, attributes?: any, content?: any): any

- Inherited from View.make

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:369

  #### Parameters

  - ##### tagName: any

  - ##### Optional attributes: any

  - ##### Optional content: any

  #### Returns any

### off

- off(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.off

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:84

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### on

- on(eventName: string, callback?: Function, context?: any): any
- on(eventMap: EventsHash): any

- Inherited from Events.on

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:82

  #### Parameters

  - ##### eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

- Inherited from Events.on

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:83

  #### Parameters

  - ##### eventMap: EventsHash

  #### Returns any

### once

- once(events: string, callback: Function, context?: any): any

- Inherited from Events.once

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:89

  #### Parameters

  - ##### events: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### remove

- remove(): View<T>

- Inherited from View.remove

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:368

  #### Returns View<T>

### render

- render(): View<T>

- Inherited from View.render

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:367

  #### Returns View<T>

### setElement

- setElement(element: HTMLElement | JQuery, delegate?: boolean): View<T>
- setElement(element: any): View<T>

- Inherited from View.setElement

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:356

  #### Parameters

  - ##### element: HTMLElement | JQuery

  - ##### Optional delegate: boolean

  #### Returns View<T>

- Inherited from View.setElement

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:364

  #### Parameters

  - ##### element: any

  #### Returns View<T>

### stopListening

- stopListening(object?: any, events?: string, callback?: Function): any

- Inherited from Events.stopListening

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:92

  #### Parameters

  - ##### Optional object: any

  - ##### Optional events: string

  - ##### Optional callback: Function

  #### Returns any

### trigger

- trigger(eventName: string, ...args: any[]): any

- Inherited from Events.trigger

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:85

  #### Parameters

  - ##### eventName: string

  - ##### Rest ...args: any[]

  #### Returns any

### unbind

- unbind(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.unbind

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:87

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### undelegate

- undelegate(eventName: any, selector: any, listener: any): this

- Overwrites View.undelegate

  - Defined in nativeview.ts:131

  #### Parameters

  - ##### eventName: any

  - ##### selector: any

  - ##### listener: any

  #### Returns this

### undelegateEvents

- undelegateEvents(): this

- Overwrites View.undelegateEvents

  - Defined in nativeview.ts:157

  #### Returns this

### Static extend

- extend(properties: any, classProperties?: any): any

- Inherited from View.extend

  - Defined in /Users/jgrout6/projects/app/ipywidgets/jupyter-js-widgets/typings/backbone/backbone-global.d.ts:340

  Do not use, prefer TypeScript's extend functionality.

  #### Parameters

  - ##### properties: any

  - ##### Optional classProperties: any

  #### Returns any

Generated using TypeDoc